package com.mortals.xhx.module.product.model;

import com.mortals.framework.annotation.Excel;
import com.mortals.xhx.module.product.model.vo.ProductVo;
/**
 * 产品实体对象
 *
 * @author zxfei
 * @date 2022-11-09
 */

public class ProductEntity extends ProductVo {
    private static final long serialVersionUID = 1L;

    /**
     * 关联平台
     */
    private Long platformId;
    /**
     * 产品名称，名称唯一
     */
    @Excel(name = "产品名称，名称唯一")
    private String productName;
    /**
     * 产品编码
     */
    private String productCode;
    /**
     * 皮肤id
     */
    private Long skinId;
    /**
     * 皮肤名称
     */
    @Excel(name = "皮肤名称")
    private String skinName;
    /**
     * 首页地址
     */
    private String homeUrl;
    /**
     * 事件地址，评价器使用
     */
    private String eventUrl;
    /**
     * 备注
     */
    private String productRemark;



    public ProductEntity(){}
    /**
     * 获取 关联平台
     * @return Long
     */
    public Long getPlatformId(){
        return platformId;
    }
    /**
     * 设置 关联平台
     * @param platformId
     */
    public void setPlatformId(Long platformId){
        this.platformId = platformId;
    }
    /**
     * 获取 产品名称，名称唯一
     * @return String
     */
    public String getProductName(){
        return productName;
    }
    /**
     * 设置 产品名称，名称唯一
     * @param productName
     */
    public void setProductName(String productName){
        this.productName = productName;
    }
    /**
     * 获取 产品编码
     * @return String
     */
    public String getProductCode(){
        return productCode;
    }
    /**
     * 设置 产品编码
     * @param productCode
     */
    public void setProductCode(String productCode){
        this.productCode = productCode;
    }
    /**
     * 获取 皮肤id
     * @return Long
     */
    public Long getSkinId(){
        return skinId;
    }
    /**
     * 设置 皮肤id
     * @param skinId
     */
    public void setSkinId(Long skinId){
        this.skinId = skinId;
    }
    /**
     * 获取 皮肤名称
     * @return String
     */
    public String getSkinName(){
        return skinName;
    }
    /**
     * 设置 皮肤名称
     * @param skinName
     */
    public void setSkinName(String skinName){
        this.skinName = skinName;
    }
    /**
     * 获取 首页地址
     * @return String
     */
    public String getHomeUrl(){
        return homeUrl;
    }
    /**
     * 设置 首页地址
     * @param homeUrl
     */
    public void setHomeUrl(String homeUrl){
        this.homeUrl = homeUrl;
    }
    /**
     * 获取 事件地址，评价器使用
     * @return String
     */
    public String getEventUrl(){
        return eventUrl;
    }
    /**
     * 设置 事件地址，评价器使用
     * @param eventUrl
     */
    public void setEventUrl(String eventUrl){
        this.eventUrl = eventUrl;
    }
    /**
     * 获取 备注
     * @return String
     */
    public String getProductRemark(){
        return productRemark;
    }
    /**
     * 设置 备注
     * @param productRemark
     */
    public void setProductRemark(String productRemark){
        this.productRemark = productRemark;
    }




    @Override
    public int hashCode() {
        return this.getId().hashCode();
    }
    @Override
    public boolean equals(Object obj) {
        if (obj == null) return false;
        if (obj instanceof ProductEntity) {
            ProductEntity tmp = (ProductEntity) obj;
            if (this.getId() == tmp.getId()) {
                return true;
            }
        }
        return false;
    }

    public String toString(){
        StringBuilder sb = new StringBuilder("");
        sb.append(",platformId:").append(getPlatformId());
        sb.append(",productName:").append(getProductName());
        sb.append(",productCode:").append(getProductCode());
        sb.append(",skinId:").append(getSkinId());
        sb.append(",skinName:").append(getSkinName());
        sb.append(",homeUrl:").append(getHomeUrl());
        sb.append(",eventUrl:").append(getEventUrl());
        sb.append(",productRemark:").append(getProductRemark());
        return sb.toString();
    }

    public void initAttrValue(){

        this.platformId = null;

        this.productName = "";

        this.productCode = "";

        this.skinId = null;

        this.skinName = "";

        this.homeUrl = "";

        this.eventUrl = "";

        this.productRemark = "";
    }
}